#ifndef WOODY_H
# define WOODY_H

# include "ft_printf.h"
# include <stdio.h>
# include <fcntl.h>
# include <sys/mman.h>
# include <elf.h>

# define RET_ERR 1
# define RET_OK 0

typedef struct s_map {
	void *data;
	off_t size;
} t_map;

int woody_woodpacker(char *path);


void *fetch(t_map map, size_t offset, size_t len);

int wdy_error(char *str);
int wdy_perror(char *path);

int check_ident(t_map file);

#endif
